import { UxAppShellService } from '@eui/core';
import { BaseDirective } from '../../base.directive';
import * as i0 from "@angular/core";
export declare class EuiSidebarToggleComponent extends BaseDirective {
    asService: UxAppShellService;
    constructor(asService: UxAppShellService);
    get cssClasses(): string;
    onToggleSidebar(event: any): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiSidebarToggleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiSidebarToggleComponent, "eui-sidebar-toggle", never, {}, {}, never, never>;
}
